Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class DistributedVersionManager

    java.lang.Object
      org.jboss.aspects.versioned.VersionManager
          org.jboss.aspects.versioned.DistributedVersionManager

public class DistributedVersionManager
extends VersionManager

Version:
  $Revision: 1.2.2.4 $
Author:
  Bill Burke

Field Summary
`protected static org.jboss.logging.Logger` | `log`
`protected SynchronizationManager` | `synchManager`
`protected long` | `timeout`

Fields inherited from class org.jboss.aspects.versioned.VersionManager
`VERSION_ID, VERSION_MANAGER`

Constructor Summary
`DistributedVersionManager(long timeout, SynchronizationManager synchManager)`

Method Summary
`org.jboss.aop.proxy.ClassProxy` | `addListVersioning(List list, DistributedListState manager)` This is used by DistributedState.buildObject when the DistributedState object is serialized across the wire and must recreate the object it represents
`org.jboss.aop.proxy.ClassProxy` | `addMapVersioning(Map map, DistributedMapState manager)` This is used by DistributedState.buildObject when the DistributedState object is serialized across the wire and must recreate the object it represents
`org.jboss.aop.proxy.ClassProxy` | `addSetVersioning(Set set, DistributedSetState manager)` This is used by DistributedState.buildObject when the DistributedState object is serialized across the wire and must recreate the object it represents
`void` | `addVersioning(DistributedPOJOState manager, org.jboss.aop.Advised advised)` This is used by DistributedState.buildObject when the DistributedState object is serialized across the wire and must recreate the object it represents
`boolean` | `isVersioned(Object obj)`
`Object` | `makeVersioned(Object obj)`
`List` | `makeVersionedList(List list, ArrayList newObjects)`
`Map` | `makeVersionedMap(Map map, ArrayList newObjects)`
`Set` | `makeVersionedSet(Set set, ArrayList newObjects)`
`org.jboss.util.id.GUID` | `tag(org.jboss.aop.InstanceAdvised advised)`
`void` | `untag(org.jboss.aop.InstanceAdvised advised)`

Methods inherited from class org.jboss.aspects.versioned.VersionManager
`getGUID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.jboss.logging.Logger log

### synchManager

    protected SynchronizationManager synchManager

### timeout

    protected long timeout

Constructor Detail

### DistributedVersionManager

    public DistributedVersionManager(long timeout,
                                     SynchronizationManager synchManager)

Method Detail

### isVersioned

    public boolean isVersioned(Object obj)

  Specified by:
    `isVersioned` in class `VersionManager`

### tag

    public org.jboss.util.id.GUID tag(org.jboss.aop.InstanceAdvised advised)

### untag

    public void untag(org.jboss.aop.InstanceAdvised advised)

### makeVersionedList

    public List makeVersionedList(List list,
                                  ArrayList newObjects)
                           throws Exception

  Throws:
    `Exception`

### makeVersionedMap

    public Map makeVersionedMap(Map map,
                                ArrayList newObjects)
                         throws Exception

  Throws:
    `Exception`

### makeVersionedSet

    public Set makeVersionedSet(Set set,
                                ArrayList newObjects)
                         throws Exception

  Throws:
    `Exception`

### makeVersioned

    public Object makeVersioned(Object obj)
                         throws Exception

  Specified by:
    `makeVersioned` in class `VersionManager`
  Throws:
    `Exception`

### addVersioning

    public void addVersioning(DistributedPOJOState manager,
                              org.jboss.aop.Advised advised)

  This is used by DistributedState.buildObject when the DistributedState object is serialized across the wire and must recreate the object it represents

### addListVersioning

    public org.jboss.aop.proxy.ClassProxy addListVersioning(List list,
                                                            DistributedListState manager)
                                                     throws Exception

  This is used by DistributedState.buildObject when the DistributedState object is serialized across the wire and must recreate the object it represents

  Throws:
    `Exception`

### addMapVersioning

    public org.jboss.aop.proxy.ClassProxy addMapVersioning(Map map,
                                                           DistributedMapState manager)
                                                    throws Exception

  This is used by DistributedState.buildObject when the DistributedState object is serialized across the wire and must recreate the object it represents

  Throws:
    `Exception`

### addSetVersioning

    public org.jboss.aop.proxy.ClassProxy addSetVersioning(Set set,
                                                           DistributedSetState manager)
                                                    throws Exception

  This is used by DistributedState.buildObject when the DistributedState object is serialized across the wire and must recreate the object it represents

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.